unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, Buttons;

type

  { TForm1 }

  TForm1 = class(TForm)
    CheckBox1: TCheckBox;
    ColorDialog1: TColorDialog;
    SpeedButton1: TSpeedButton;
    procedure Button1Click(Sender: TObject);
    procedure CheckBox1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
begin
  if not (Sender is TSpeedButton) then exit;
  ColorDialog1.Color := TSpeedButton(Sender).Color;
  ColorDialog1.Title := 'Farbe auswählen';
  if ColorDialog1.Execute then
      TSpeedButton(Sender).Color := ColorDialog1.Color;
end;

procedure TForm1.CheckBox1Change(Sender: TObject);
begin
  if not (Sender is TCheckbox) then exit;
  Speedbutton1.Enabled := TCheckbox(Sender).Checked;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  SpeedButton1.ShowCaption := False;
  SpeedButton1.Color       := clYellow;
  SpeedButton1.Transparent := False;
  SpeedButton1.Flat        := True;
  Speedbutton1.Enabled     := Checkbox1.Checked;
  SpeedButton1.OnClick     := @Button1Click;
end;


end.

